| FlatBuffers An open source project by FPL.

Public Types | Public Member Functions | Protected Attributes | List of all members
flatbuffers::Vector< T > Class Template Reference

## Public Types
typedef VectorIterator< T, typename IndirectHelper< T >::return_type > | const_iterator
typedef VectorReverseIterator< const_iterator > | const_reverse_iterator
typedef VectorIterator< T, typename IndirectHelper< T >::mutable_return_type > | iterator
typedef IndirectHelper< T >::mutable_return_type | mutable_return_type
typedef IndirectHelper< T >::return_type | return_type
typedef VectorReverseIterator< iterator > | reverse_iterator

## Public Member Functions
iterator | begin ()
const_iterator | begin () const
const_iterator | cbegin () const
const_iterator | cend () const
const_reverse_iterator | crbegin () const
const_reverse_iterator | crend () const
uint8_t * | Data ()
T * | data ()
const uint8_t * | Data () const
const T * | data () const
iterator | end ()
const_iterator | end () const
| FLATBUFFERS_ATTRIBUTE (deprecated("use size() instead")) uoffset_t Length() const
return_type | Get (uoffset_t i) const
template<typename U >
const U * | GetAs (uoffset_t i) const
const String * | GetAsString (uoffset_t i) const
template<typename E >
E | GetEnum (uoffset_t i) const
mutable_return_type | GetMutableObject (uoffset_t i) const
const void * | GetStructFromOffset (size_t o) const
template<typename K >
return_type | LookupByKey (K key) const
void | Mutate (uoffset_t i, const T &val)
void | MutateOffset (uoffset_t i, const uint8_t *val)
return_type | operator[] (uoffset_t i) const
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
uoffset_t | size () const

## Protected Attributes
uoffset_t | length_

The documentation for this class was generated from the following file:

- flatbuffers.h